/**
 * Shortcut for generating a v4 uuid
 */
export declare function uuid(): string;
/**
 * Generate a hex digest from an input
 * @param seed the value to hash
 * @param length truncate the output to this length
 */
export declare function hash(seed: string | number, length?: number): string;
/**
 * Convert a sentence to a URL hash with an optional random hash on the end
 * @param string the sentence to slugify
 * @param hashLength add some a hash of this length to the end
 */
export declare function slug(string: string, hashLength?: number): string;
/**
 * Get a weighted random value from an array
 * @param array an array of values and weights
 * @param weightProperty the property to use for weighting
 */
export declare function weightedRandomValue<T>(array: Array<T>, weightProperty?: string): T;
declare const _default: {
    uuid: typeof uuid;
    hash: typeof hash;
    slug: typeof slug;
    weightedRandomValue: typeof weightedRandomValue;
};
export default _default;
